> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiprojects 



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/projects/{id}/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/projects/{id}/:
    get:
      tags:
        - api
      operationId: api_projects_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDetail'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    ProjectDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
        organization_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        owner_id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        member_count:
          type: integer
          readOnly: true
        root_collection_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        effective_flags:
          type: integer
          readOnly: true
        is_starred:
          type: boolean
          readOnly: true
        access_scope:
          type: string
          readOnly: true
        geobound_enabled:
          type: boolean
        geobound_basis:
          $ref: '#/components/schemas/GeoboundBasisEnum'
        geobound_allowed_countries:
          type: array
          items:
            type: string
            pattern: ^[A-Z]{2}$
            maxLength: 2
        geobound_allowed_country_set:
          type: string
          format: uuid
          nullable: true
        geobound_denied_country_set:
          type: string
          format: uuid
          nullable: true
        geobound_block_vpn:
          type: boolean
        geobound_fail_closed:
          type: boolean
        current_user_role:
          type: string
          readOnly: true
      required:
        - access_scope
        - created_at
        - current_user_role
        - effective_flags
        - id
        - is_starred
        - member_count
        - name
        - organization_id
        - owner_id
        - root_collection_id
        - updated_at
    GeoboundBasisEnum:
      enum:
        - ip
        - affiliation
        - ip_or_affiliation
        - ip_and_affiliation
      type: string
      description: |-
        * `ip` - IP country
        * `affiliation` - Affiliation country
        * `ip_or_affiliation` - IP or affiliation country
        * `ip_and_affiliation` - IP and affiliation country

````